com.taggercat.handlers
Class DataSourceSortRequestHandler

java.lang.Object
  extended by com.taggercat.handlers.AbstractRequestHandler
      extended by com.taggercat.handlers.DataSourceSortRequestHandler
All Implemented Interfaces:
com.taggercat.el.ELPropertyResolver, RequestHandler

public class DataSourceSortRequestHandler
extends AbstractRequestHandler

This request handler is used to change the DataSource sort order.

Required request parameters:

Additionally, there is no requirement on the fieldName actually being a simple field name. In other words, the fieldName is the Order By Clause, and can be any valid string in the context of the query.

The Order By Clause is automatically toggled between Ascending and Descending orders upon subsequent requests.

 

Constructor Summary
DataSourceSortRequestHandler()
           
 
Method Summary
 java.lang.String getFieldName()
          Gets the field name.
 void setFieldName(java.lang.String fieldName)
          Sets the field name.
 
Methods inherited from class com.taggercat.handlers.AbstractRequestHandler
disableClientCache, getDataSourceName, getErrorException, getErrorPage, getErrorPageMethod, getErrorReason, getExplicitDataSourceName, getExplicitDSN, getMatchedPattern, getModel, getRequestController, getResponsePage, getResponsePageMethod, getSessionExpiredPage, getUserName4Log, init, isAjaxRequest, onChainCompleted, resolveProperty, serverTemporaryFile, serveTemporaryFile, service, setActionName, setErrorPage, setErrorPageMethod, setErrorPageMethodToRedirect, setExplicitDataSourceName, setExplicitDSN, setMatchedPattern, setResponsePage, setResponsePageMethod, setResponsePageMethodToRedirect, setSessionExpiredPage
 
Methods inherited from class java.lang.Object
equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Constructor Detail

DataSourceSortRequestHandler

public DataSourceSortRequestHandler()
Method Detail

getFieldName

public java.lang.String getFieldName()
Gets the field name.

Returns:
the field name

setFieldName

public void setFieldName(java.lang.String fieldName)
Sets the field name.

Parameters:
fieldName - the field name to sort on